Subject: Re: bug#63107: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac

From: Alan Third <[email-masked]>
Date: Thu, 27 Apr 2023 19:43:54 +0100

On Thu, Apr 27, 2023 at 07:39:06PM +0100, Alan Third wrote:
> On Thu, Apr 27, 2023 at 06:58:40PM +0200, Daniel Martín wrote:
> > Yuan Fu <[email-masked]> writes:
> > 
> > > X-Debbugs-CC: [email-masked]
> > >
> > > Reproduction is pretty easy, just evaluate
> > >
> > > (display-buffer-in-child-frame (get-buffer-create "*test*") nil)
> > >
> > > Perhaps I'm missing something? Because packages that uses childframe
> > > like eldoc-box are working fine. I tried using the same ALIST as
> > > eldoc-box, and various buffers like newly created buffer and current
> > > buffer, but it always crashes
> > >
> > 
> > This seems to be a regression since Emacs 28.2.
> 
> Looks like it's probably the same as bug#55687.
> 
> The small patch in that thread might fix this immediate crash, but I
> expect it will introduce further problems elsewhere.

OK, so that bug has been closed, but the issue Aaron Jensen ran into
in that thread appears to have been another issue, the same as this.
-- 
Alan Third